/*
 * Copyright 2009 the Stormcat Project.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.stormcat.jvbeans.dto;
 
 /**
 * レコードフォーマットID {@link org.stormcat.jvbeans.config.RecordTypeId.CS} に対応するDtoです。
 * @author jv-beans-gen
 *
 */
@org.stormcat.jvbeans.annotation.JvBean(recordTypeId = org.stormcat.jvbeans.config.RecordTypeId.CS, byteLength = 6829)
public class CourseInfoDto extends org.stormcat.jvbeans.jvlink.JvBindingDto {

    /** レコード種別ID */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 1, byteLength = 2)
    private org.stormcat.jvbeans.config.RecordTypeId recordTypeId;

    /** データ区分 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 3, byteLength = 1)
    private java.lang.String dataDiv;

    /** データ作成年月日 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 4, byteLength = 8)
    private java.util.Date dataCreateDate;

    /** 競馬場コード */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 12, byteLength = 2)
    private org.stormcat.jvbeans.config.code.CourseCd courseCd;

    /** 距離 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 14, byteLength = 4)
    private java.lang.Integer distance;

    /** トラックコード */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 18, byteLength = 2)
    private org.stormcat.jvbeans.config.code.TrackCd trackCd;

    /** コース改修年月日 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 20, byteLength = 8)
    private java.util.Date courseRepairDate;

    /** コース説明 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 28, byteLength = 6800)
    private java.lang.String courseDiscription;


    /**
     * @return レコード種別ID
     */
    public org.stormcat.jvbeans.config.RecordTypeId getRecordTypeId() {
        return recordTypeId;
    }
    
    /**
     * @param recordTypeId レコード種別ID
     */
    public void setRecordTypeId(org.stormcat.jvbeans.config.RecordTypeId recordTypeId) {
        this.recordTypeId = recordTypeId;
    }    
    
    /**
     * @return データ区分
     */
    public java.lang.String getDataDiv() {
        return dataDiv;
    }
    
    /**
     * @param dataDiv データ区分
     */
    public void setDataDiv(java.lang.String dataDiv) {
        this.dataDiv = dataDiv;
    }    
    
    /**
     * @return データ作成年月日
     */
    public java.util.Date getDataCreateDate() {
        return dataCreateDate;
    }
    
    /**
     * @param dataCreateDate データ作成年月日
     */
    public void setDataCreateDate(java.util.Date dataCreateDate) {
        this.dataCreateDate = dataCreateDate;
    }    
    
    /**
     * @return 競馬場コード
     */
    public org.stormcat.jvbeans.config.code.CourseCd getCourseCd() {
        return courseCd;
    }
    
    /**
     * @param courseCd 競馬場コード
     */
    public void setCourseCd(org.stormcat.jvbeans.config.code.CourseCd courseCd) {
        this.courseCd = courseCd;
    }    
    
    /**
     * @return 距離
     */
    public java.lang.Integer getDistance() {
        return distance;
    }
    
    /**
     * @param distance 距離
     */
    public void setDistance(java.lang.Integer distance) {
        this.distance = distance;
    }    
    
    /**
     * @return トラックコード
     */
    public org.stormcat.jvbeans.config.code.TrackCd getTrackCd() {
        return trackCd;
    }
    
    /**
     * @param trackCd トラックコード
     */
    public void setTrackCd(org.stormcat.jvbeans.config.code.TrackCd trackCd) {
        this.trackCd = trackCd;
    }    
    
    /**
     * @return コース改修年月日
     */
    public java.util.Date getCourseRepairDate() {
        return courseRepairDate;
    }
    
    /**
     * @param courseRepairDate コース改修年月日
     */
    public void setCourseRepairDate(java.util.Date courseRepairDate) {
        this.courseRepairDate = courseRepairDate;
    }    
    
    /**
     * @return コース説明
     */
    public java.lang.String getCourseDiscription() {
        return courseDiscription;
    }
    
    /**
     * @param courseDiscription コース説明
     */
    public void setCourseDiscription(java.lang.String courseDiscription) {
        this.courseDiscription = courseDiscription;
    }    
    
}